|
|
|
|
|
|
|
|
|
|
xen-changelog
[Xen-changelog] Add a check for the 'ip' iproute tools in the install sc
ChangeSet 1.1836, 2005/04/18 22:35:16+01:00, iap10@xxxxxxxxxxxxxxxxxxxxx
Add a check for the 'ip' iproute tools in the install script.
Suggested by Sam Johnston [samjie@xxxxxxxxx]
Signed-off-by: ian@xxxxxxxxxxxxx
check_iproute | 10 ++++++++++
1 files changed, 10 insertions(+)
diff -Nru a/tools/check/check_iproute b/tools/check/check_iproute
--- /dev/null Wed Dec 31 16:00:00 196900
+++ b/tools/check/check_iproute 2005-04-18 21:08:39 -04:00
@@ -0,0 +1,10 @@
+#!/bin/bash
+# CHECK-INSTALL
+
+function error {
+ echo 'Check for iproute (ip addr) failed.'
+ exit 1
+}
+
+ip addr list || error
+
_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog
|
|
|
|
|